Package org.eclipse.graphiti.ui.internal.util.draw2d

## Enum GFBendpointHandle.Type

- java.lang.Object
- - java.lang.Enum<GFBendpointHandle.Type>
  - - org.eclipse.graphiti.ui.internal.util.draw2d.GFBendpointHandle.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<GFBendpointHandle.Type>`

Enclosing class:
  GFBendpointHandle

    public static enum GFBendpointHandle.Type
    extends java.lang.Enum<GFBendpointHandle.Type>

Enumeration of the supported types of the bendpoint handle (create/move).

### Enum Constant Summary

Enum Constants
`CREATE`
`MOVE`

### Method Summary

All Methods Static Methods Concrete Methods
`static GFBendpointHandle.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GFBendpointHandle.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE

    public static final GFBendpointHandle.Type CREATE

#### MOVE

    public static final GFBendpointHandle.Type MOVE

### Method Detail

#### values

    public static GFBendpointHandle.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GFBendpointHandle.Type c : GFBendpointHandle.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GFBendpointHandle.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null